# Uses of Interface
javajs.api.GenericOutputChannel

Packages that use GenericOutputChannel
Package
Description
javajs.api
javajs.util

## Uses of GenericOutputChannel in javajs.api

Methods in javajs.api with parameters of type GenericOutputChannel
Modifier and Type
Method
Description
`void`
GenericBinaryDocument.`setOutputChannel(GenericOutputChannel out)`

## Uses of GenericOutputChannel in javajs.util

Classes in javajs.util that implement GenericOutputChannel
Modifier and Type
Class
Description
`class`
`OC`
A generic output method.
Fields in javajs.util declared as GenericOutputChannel
Modifier and Type
Field
Description
`protected GenericOutputChannel`
BinaryDocument.`out`
Methods in javajs.util with parameters of type GenericOutputChannel
Modifier and Type
Method
Description
`void`
BinaryDocument.`setOutputChannel(GenericOutputChannel out)`